%define	name	libkipi
%define	version	0.1.5

%define release %mkrel 6
%define	Summary	KDE Image Plugin Interface

%define realname kipi

%define	major	0
%define	libname	%mklibname %{realname} %major
%define	libnamedev %mklibname %{realname} -d
%define	oldlibname_dev %mklibname %{realname} 0 -d

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group: 		System/Libraries
Source0:	http://prdownloads.sourceforge.net/kipi/%{name}-%{version}.tar.bz2
URL: 		http://extragear.kde.org/apps/kipi.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel
BuildRequires:	libxt-devel

#added because of the previous version number
Epoch: 1

Provides:	%{name} = %{epoch}:%{version}-%{release}

%description
 The library of the KDE Image Plugin Interface.

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}

%{libname} contains kipi libraries

%package -n	%{libnamedev}
Summary:	Static libraries and headers for %{name}
Group:		Development/C
Requires: 	%{libname} = %{epoch}:%version-%release
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:      %{oldlibname_dev}

%description -n %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.

%prep
%setup -q 

%build

make -f Makefile.cvs
%configure2_5x --disable-rpath \
            --enable-final \
            --disable-debug
%make

%install
rm -rf %buildroot
%makeinstall

%find_lang %name

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -n %libname -f %name.lang
%defattr(0644, root, root, 0755)
%_datadir/servicetypes/kipiplugin.desktop

%_datadir/apps/kipi/
%_datadir/icons/hicolor/*/apps/*
%{_libdir}/*.so.*

%files -n %libnamedev
%defattr(0644, root, root, 0755)
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/%name.pc


%changelog
* Fri Aug 31 2007 Funda Wang <fundawang@mandriva.org> 0.1.5-6mdv2008.0
+ Revision: 76498
- clean spec, lib magic does not need now

* Mon Jul 16 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.5-5mdv2008.0
+ Revision: 52461
- Fixed obsoletes, major version was wrong.

* Mon Jul 09 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.5-4mdv2008.0
+ Revision: 50491
- Updated for new library policy (developer packages)

* Thu Jun 07 2007 Angelo Naselli <anaselli@mandriva.org> 1:0.1.5-3mdv2008.0
+ Revision: 36607
- Moved la files to the right devel subpackage.


* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 0.1.5-2mdv2007.0
+ Revision: 90417
- forgot to fix release
- fixed Provides field for devel package

* Sun Dec 03 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.5-1mdv2007.1
+ Revision: 90266
- new version 0.1.5
- Import libkipi

* Sun Aug 06 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1:0.1.4-3
- add BuildRequires: libxt-devel

* Tue Jun 20 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.4-2mdk
- Rebuild

* Thu May 18 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.4-1mdk
- new release

* Mon May 15 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-2mdk
- Fix build problem

* Mon May 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.3-1mdk
new release

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-2mdk
- backport from svn admin to allow compiling under kde 3.5

* Tue Sep 27 2005 Angelo Naselli <anaselli@mandriva.org> 1:0.1.2-1mdk
- new release

* Sat May 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.1.1-4
- Rebuild

* Wed Mar 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.1-3mdk
- fix build on lib64 platforms

* Sun Feb 13 2005 Angelo Naselli <anaselli@mandrake.org> 0.1.1-2mdk
- DistroSpecificReleaseTag support

* Wed Feb 09 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.1-1mdk
- 0.1.1

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-4mdk
- Rebuild with new libkipi

* Wed Dec 15 2004 Stefan van der Eijk <stefan@mandrake.org> 0.1-3mdk
- BuildRequires

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1-2mdk
- Fix spec file

* Sun Oct 17 2004 Angelo Naselli <anaselli@mandrake.org> 0.1-1mdk
- new version

* Tue Sep 21 2004 Angelo Naselli <anaselli@mandrake.org> 20040919-1mdk
- new version (gwenview snapshot)

* Thu Sep 09 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-3mdk
- changed the URL with the official one

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-2mdk
- changed Summary

* Wed Aug 25 2004 Angelo Naselli <anaselli@mandrake.org> 20040801-1mdk
- built mdk version

* Sun Jun 13 2004 Angelo Naselli <random_lx@yahoo.com> 20040611-1mdk
- built mdk version

* Tue May 11 2004 Angelo Naselli <random_lx@yahoo.com> 20040509-1mdk
- built mdk version

